CHSH(1)

NUME
chsh - schimbă shell-ul de autentificare

REZUMAT

chsh [-s shell] [-l] [-h] [-V] [nume-utilizator]

DESCRIERE

chsh este utilizat pentru a schimba shell-ul de autentificare. În cazul în care nu se indică un shell în linia de comandă, chsh solicită unul.

chsh este compatibil cu intrările nelocale (kerberos, LDAP, etc.) dacă este asociat cu libuser, altfel utilizați ypchsh(1), lchsh(1) sau orice altă implementare pentru intrările nelocale.

OPȚIUNI

-s, --shell shell
    Specifică shell-ul de autentificare.

-l, --list-shells
    Afișează lista de shell-uri listate în /etc/shells și iese.

-h, --help
    Afișează mesajul de ajutor și iese; opțiunea scurtă -h a fost utilizată începând cu versiunea 2.30; versiunile vechi utilizează opțiunea -u, care este depășită.

-V, --version
    Afișează versiunea și iese; opțiunea scurtă -V a fost utilizată începând cu versiunea 2.39; versiunile vechi utilizează -v, care este demodată.

SHELL-URI VALIDE

chsh va accepta numele complet al oricărui fișier executabil din sistem.

Comportamentul implicit pentru utilizatorii non-root este de a accepta numai shell-urile enumerate în fișierul /etc/shells și de a emite un avertisment pentru utilizatorul root. De asemenea, poate fi configurat în momentul compilării pentru a emite un avertisment numai pentru toți utilizatorii.

STARE DE IEȘIRE

Returnează 0 dacă operația a avut succes, 1 dacă operația a eșuat sau dacă sintaxa comenzii nu a fost validă.

AUTORI

CONSULTAȚI ȘI

login(1), login.defs(5), passwd(5), shells(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda chsh face parte din pachetul util-linux care poate fi descărcat de la